
# Copyright  1997 UC Regents. All rights reserved.
# Copyleft  1999,2000 Michiel Dethmers. All rights reversed.
# Document maintained at http://www.quipu.co.uk/SWISH-E/AutoSwish/.
# Version 1.0 21/01/2000. 
#
# This program and library is free software; you can redistribute it and/or
# modify it under the terms of the GNU (Library) General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#* GNU (Library) General Public License for more details.
#
# You should have received a copy of the GNU (Library) General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#---------------------------------------------------------
#
# Purpose: This script contains the configuration variables for AutoSwish.pl
# These are the values you will want to change, according to your situation

#- Configurable Variables ----------------------------------------------------#
  
$SWISHDIR = "/home/michiel/bin";
        # Location of SWISH-E executable. I have only FTP access to my server, but I
        # can upload the compiled executable in my directory and it works
        # That does require though that you find the right executable for the platform
        # of your ISP. 
        
$HOMEDIR = "/home/michiel";
        # the HOME location of all directories and files

$CONFIGDIR = "$HOMEDIR/Swish-E/ConfigFiles";
        # Location of SWISH-E configuration files. Directory needs to be writable by 
        # the webdaemon.

$INDEXDIR = "$HOMEDIR/Swish-E/SwishIndexes";
        # Location of SWISH-E index files. Directory needs to be writable by 
        # the webdaemon.

$CGIDIR = "$HOMEDIR/cgi-bin/swish-bin";
        # Location of SWISH-E cgi scripts.

$CGIURL = "/cgi-bin/swish-bin";
        # URL Location of SWISH-E cgi scripts.

$AUTOSWISH = "$CGIURL/SwishCreate/AutoSwish.pl";
      # the location of the AutoSwish script

$FORMDIR = "$HOMEDIR/SWISH-E/SwishForms";
        # Location of SWISH-E form files. obsolete.

$FORMLINK = "/SWISH-E/SwishForms";
        # Link path to the SwishForms directory. obsolete.

$WEBDIR = "$HOMEDIR/public_html";
        # Path of your system's web directory tree.
 
$BANNER   = "/SWISH-E/Images/powered.gif";
        # Logo to appear at the bottom of all SWISH-E pages
        
$SERVERNAME = $ENV{HTTP_HOST} || $ENV{SERVER_NAME};
        # the server url, if it's a virtual host it's HTTP_HOST, don't add the http:// here
        # only the full domain name

$WEBMAN  = "swish-e\@$SERVERNAME";
        # E-mail address of your website manager.
				
$PERL  		 = '/usr/bin/perl';
				# the location of the perl binary
				
$BODYTAG   = '<body bgcolor="#ffffff">';
				# Body tag to use in all pages
				
$TEMPLATEDIR = "$WEBDIR/SWISH-E/AutoSwish";
				# where are the templates for forms to fill out
				
$FULLTMPL = 'complete.shtml';				
				# the template file for a complete configuration
1;

